- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Lists the DhcpOptionsConfigs for a project in the given location.
HTTP request
GET https://compute.googleapis.com/compute/beta/projects/{project}/regions/{region}/dhcpOptionsConfigs The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
project |
Project ID for this request. |
region |
Name of the region of this request. |
Query parameters
| Parameters | |
|---|---|
maxResults |
The maximum number of results per page that should be returned. If the number of available results is larger than |
pageToken |
Specifies a page token to use. Set |
filter |
A filter expression that filters resources listed in the response. Most Compute resources support two types of filter expressions: expressions that support regular expressions and expressions that follow API improvement proposal AIP-160. These two types of filter expressions cannot be mixed in one request. If you want to use AIP-160, your expression must specify the field name, an operator, and the value that you want to use for filtering. The value must be a string, a number, or a boolean. The operator must be either For example, if you are filtering Compute Engine instances, you can exclude instances named The You can also filter nested fields. For example, you could specify To filter on multiple expressions, provide each separate expression within parentheses. For example: By default, each expression is an If you want to use a regular expression, use the
The literal value is interpreted as a regular expression using Google RE2 library syntax. The literal value must match the entire field. For example, to filter for instances that do not end with name "instance", you would use You cannot combine constraints on multiple fields using regular expressions. |
orderBy |
Sorts list results by a certain order. By default, results are returned in alphanumerical order based on the resource name. You can also sort results in descending order based on the creation timestamp using Currently, only sorting by |
returnPartialSuccess |
Opt-in for partial success behavior which provides partial results in case of failure. The default value is false. For example, when partial success behavior is enabled, aggregatedList for a single zone scope either returns all resources in the zone or no resources, with an error code. |
Request body
The request body must be empty.
Response body
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "kind": string, "id": string, "items": [ { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "region": string, "leaseTimeSec": string, "domainName": string, "dnsSearchPaths": [ string ], "ntpServerIpv4Addresses": [ string ], "ntpServerIpv6Addresses": [ string ], "tftpServerIpv4Name": string, "tftpServerIpv4Addresses": [ string ], "bootFileIpv4Name": string, "bootFileIpv6Url": string, "bootFileIpv6Parameters": [ string ], "associations": { string: { "network": string, "networkId": string, "state": enum }, ... } } ], "nextPageToken": string, "selfLink": string, "warning": { "code": enum, "message": string, "data": [ { "key": string, "value": string } ] }, "etag": string, "unreachables": [ string ] } |
| Fields | |
|---|---|
kind |
Output only. Type of the resource. Always |
id |
Output only. Unique identifier for the resource; defined by the server. |
items[] |
A list of DhcpOptionsConfig resources. |
items[].kind |
Output only. Type of the resource. Always |
items[].id |
Output only. The unique identifier for the resource type. The server generates this identifier. |
items[].creationTimestamp |
Output only. Creation timestamp in RFC3339 text format. |
items[].name |
Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression |
items[].description |
An optional description of this resource. Provide this property when you create the resource. |
items[].selfLink |
Output only. Server-defined URL for the resource. |
items[].region |
Output only. URL of the region where the resource resides. |
items[].leaseTimeSec |
The duration, in seconds, of the IPv4 address lease offered by the DHCP server to the client VM guest OS. Corresponds to DHCPv4 Option 51. |
items[].domainName |
The domain name that the client VM guest OS should use when resolving hostnames via DNS (e.g., 'example.com'). It defines the default domain suffix for the client. Corresponds to DHCPv4 Option 15. |
items[].dnsSearchPaths[] |
An ordered list of domain suffixes (search paths) that the client VM guest OS should append to resolve hostnames that are not fully qualified. Applies to both DHCPv4 Option 119 and DHCPv6 Option 24. |
items[].ntpServerIpv4Addresses[] |
An ordered list of IPv4 addresses of Network Time Protocol (NTP) servers available to the client VM guest OS for system clock synchronization, listed in order of preference. Corresponds to DHCPv4 Option 42. |
items[].ntpServerIpv6Addresses[] |
An ordered list of IPv6 addresses of Network Time Protocol (NTP) servers available to the client VM guest OS for system clock synchronization. Corresponds to DHCPv6 Option 56. |
items[].tftpServerIpv4Name |
The hostname or IP address of the Trivial File Transfer Protocol (TFTP) server from which the client VM guest OS can download boot files. Typically used in network booting (PXE) when the standard DHCP header 'sname' field is overloaded. Corresponds to DHCPv4 Option 66. |
items[].tftpServerIpv4Addresses[] |
An ordered list of one or more IPv4 addresses of TFTP servers. Provides server redundancy and failover support, and is generally prioritized by clients over the single hostname specified in Option 66. Corresponds to DHCPv4 Option 150. |
items[].bootFileIpv4Name |
The file path and name of the boot image/file on the TFTP server that the client VM guest OS should download and execute during network boot. Used when the standard DHCP header 'file' field is overloaded. Corresponds to DHCPv4 Option 67. |
items[].bootFileIpv6Url |
The Uniform Resource Locator (URL) specifying the protocol, server address, and file path of the boot file that the client VM guest OS should download and execute for network boot (e.g., 'tftp://[2001:db8::1]/bootx64.efi' or 'http://[2001:db8::1]/boot.img'). Corresponds to DHCPv6 Option 59. |
items[].bootFileIpv6Parameters[] |
A list of UTF-8 encoded parameter strings to be passed as arguments to the bootloader program or OS kernel after downloading the boot file. Corresponds to DHCPv6 Option 60. |
items[].associations[] |
Mapping of user-defined keys to DhcpOptionsConfig to Network associations. |
items[].associations[].network |
Required. The target network this DHCP option is attached to. You can specify this as a full or partial URL. For example, the following are all valid URLs:
|
items[].associations[].networkId |
Output only. The server-defined ID of the associated Network. |
items[].associations[].state |
Output only. State of the association. |
nextPageToken |
Output only. This token allows you to get the next page of results for list requests. If the number of results is larger than |
selfLink |
Output only. Server-defined URL for this resource. |
warning |
Output only. Informational warning message. |
warning.code |
Output only. A warning code, if applicable. For example, Compute Engine returns |
warning.message |
Output only. A human-readable description of the warning code. |
warning.data[] |
Output only. Metadata about this warning in "data": [ { "key": "scope", "value": "zones/us-east1-d" }] |
warning.data[].key |
Output only. A key that provides more detail on the warning being returned. For example, for warnings where there are no results in a list request for a particular zone, this key might be |
warning.data[].value |
Output only. A warning data value corresponding to the key. |
etag |
Server-defined ETag for optimistic concurrency control. |
unreachables[] |
Output only. Unreachable resources. end_interface: MixerListResponseWithEtagBuilder |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/computehttps://www.googleapis.com/auth/cloud-platformhttps://www.googleapis.com/auth/compute.readonly
For more information, see the Authentication Overview.
IAM Permissions
In addition to any permissions specified on the fields above, authorization requires one or more of the following IAM permissions:
compute.dhcpOptionsConfigs.list
To find predefined roles that contain those permissions, see Compute Engine IAM Roles.